com.explodingpixels.macwidgets.plaf

## Class ITunesTableUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.TableUI
    - - javax.swing.plaf.basic.BasicTableUI
      - - com.explodingpixels.macwidgets.plaf.ITunesTableUI

    public class ITunesTableUI
    extends BasicTableUI

A UI delegate that renders an iTunes style table.

Sorting indicators will be rendered if a `TableUtils.SortDelegate` is installed on the associated `JTable` via the `TableUtils.makeSortable(javax.swing.JTable, com.explodingpixels.widgets.TableUtils.SortDelegate)` method.

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicTableUI

`BasicTableUI.FocusHandler, BasicTableUI.KeyHandler, BasicTableUI.MouseInputHandler`

### Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicTableUI

`focusListener, keyListener, mouseInputListener, rendererPane, table`

### Constructor Summary

Constructors
Constructor and Description
`ITunesTableUI()`

### Method Summary

Methods
`protected void` `installListeners()`
`void` `installUI(JComponent c)`

### Methods inherited from class javax.swing.plaf.basic.BasicTableUI

`createFocusListener, createKeyListener, createMouseInputListener, createUI, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installDefaults, installKeyboardActions, paint, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ITunesTableUI

    public ITunesTableUI()

### Method Detail

#### installUI

    public void installUI(JComponent c)

Overrides:
  `installUI` in class `BasicTableUI`

#### installListeners

    protected void installListeners()

Overrides:
  `installListeners` in class `BasicTableUI`